Chuyển đến nội dung
Diễn đàn CADViet
saoemoi

[Yêu cầu] lisp vẽ mặt cắt từ bình đồ

Các bài được khuyến nghị

Các bạn xem hình ảnh lisp sau dùng vẽ mặt cắt từ bình đồ. Ngoài tạo mặt cắt còn vẽ cả khung tên, khung bản vẽ phù hợp.

 

http://www.mediafire...98xabntn79sjd25

 

Các bạn xem hình ảnh lisp sau dùng vẽ mặt cắt từ bình đồ. Ngoài tạo mặt cắt còn vẽ cả khung tên, khung bản vẽ phù hợp.

 

http://www.mediafire...98xabntn79sjd25

hjhj. Nếu có thể,!Bác up lên cho em xin được không ah.Em cũng đang muốn tham khảo để làm bài tập, thank bác nhieuf nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em load thành công lisp rồi mà sao lại báo lỗi thê này nhỉ: Unknown command "VMC". Press F1 for help.

Hề hề hề,

Bạn load cái lisp nào vậy??? Nếu có thể hãy upload cái lisp đó lên thì mới kiểm tra lỗi được chứ???

Hề hề hề

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có 1 file bình đồ nhưng không dùng được Lisp vmc nhờ Nguyen Hoanh chỉ giáo!!!!!!!!!!

Khi "ap" rồi "load" lên thi nó báo đã load thành công. nhưng đánh lênh vmc nó lại báo "Unknown command "VMC". Press F1 for help.". mình phải làm thế nào

mail của mình: vanbichbc@yahoo.com

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các anh giúp em một lisp như sau:

Từ một bình đồ ta có thể vạch một đường bất kỳ để xuất ra mặt cắt, từ các mặt cắt đó để tính khối lượng nằm giữa 2 mặt cắt đã xuất ra.

Em đang tìm hiểu phần mềm autodesk landesktop 2004 anh nào có tài liệu hướng dẫn sử dụng bằng tiếng việt cho em được không? đang bí quá.

Chân thành cảm ơn các anh quan tâm.

 

MINH dow lis này về nhưng khi ap vào thi lại ko dùng dc. các bác giúp mình vói nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có 1 file bình đồ nhưng không dùng được Lisp vmc nhờ Nguyen Hoanh chỉ giáo!!!!!!!!!!

Khi "ap" rồi "load" lên thi nó báo đã load thành công. nhưng đánh lênh vmc nó lại báo "Unknown command "VMC". Press F1 for help.". mình phải làm thế nào

mail của mình: quangduc_bg@yahoo.com

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có 1 file bình đồ nhưng không dùng được Lisp vmc nhờ Nguyen Hoanh chỉ giáo!!!!!!!!!!

Khi "ap" rồi "load" lên thi nó báo đã load thành công. nhưng đánh lênh vmc nó lại báo "Unknown command "VMC". Press F1 for help.". mình phải làm thế nào

mail của mình: quangduc_bg@yahoo.com

 

Theo cách bạn nói thì đầu vào sẽ là một bình đồ được số hóa bởi các điểm cao độ, sau đó vẽ một mặt cắt và đầu ra sẽ là trắc dọc mặt cắt đó. để tổng quát thì phải tạo được lưới tam giác từ các điểm trên bình đồ rồi nội suy các điểm nằm trên mặt cắt theo hệ lưới tam giác đó. Cái khó nhất là ở vấn đề tạo lưới tam giác. hiện tại mình đang có một tool như thế nhưng chưa thể free được. Nếu bạn phục vụ cho công ty thì liên hệ với mình theo địa chỉ Gmail: redseatq@gmail.com, nếu bạn dùng làm đồ án thì mình có thể cung cấp cho bạn một bản giới hạn, bạn có thể chạy thử.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mới mày mò lập ra cái LISP chạy cắt dọc cắt ngang, các bác xem thử

http://www.youtube.com/watch?v=c9z2V-uAxOA

 

Chào bạn, bạn có thể cho mình tham khảo cách bạn nội suy và cách bạn tính lý trình các cọc được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ai có lisp vẽ mặt cắt rồi thì shere đi ạ... em vẽ cái lisp của em lâu quá... nhờ các cao thủ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

anh nao co .lsp ve mat cắt bình đồ thì share anh em dùng, mới, mình muốn có nó mà không tài nào có day, file anh Hoanh vmc.lsp tải về không dùng được

Cảm ơn anh em nhiều. MN

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bạn xem hình ảnh lisp sau dùng vẽ mặt cắt từ bình đồ. Ngoài tạo mặt cắt còn vẽ cả khung tên, khung bản vẽ phù hợp.

 

http://www.mediafire.com/?98xabntn79sjd25

lisbạn có thể cho mình xin lisp đó hoặc gửi mình nguồn của lisp đó được ko bạn.

Nếu được gửi dùm qua địa chỉ: minhtung.hk@gmail.com .Thank bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp vẽ mặt cắt từ bình đồ:

Lệnh VMC.

 

 

;; Bien toan cuc deltaH
(defun c:vmc ( / sel)
(defun luuos ()
(setq
HOANH_OSMODE (getvar "OSMODE")
HOANH_AUTOSNAP (getvar "AUTOSNAP")
)
)
(defun traos ()
(if HOANH_OSMODE
(setvar "OSMODE" HOANH_OSMODE)
)
(if HOANH_AUTOSNAP
(setvar "AUTOSNAP" HOANH_AUTOSNAP)
)
)
(defun GiaoDT (ent1 ent2)
(setq ob1 (vlax-ename->vla-object ent1)
ob2 (vlax-ename->vla-object ent2)
)
(setq g (vlax-variant-value
(vla-IntersectWith ob1 ob2 acExtendNone)
)
)
(if (/= (vlax-safearray-get-u-bound g 1) -1)
(setq g (vlax-safearray->list g))
(setq g nil)
)
(if g
(progn
(setq kq nil
sd (fix (/ (length g) 3))
)
(repeat sd
(setq kq (append kq (list (list (car g) (cadr g) (caddr g))))
g (cdddr g)
)
)
kq
)
nil
)
)
(defun NhapdeltaH( / tmp)
(while (not tmp)
(setq tmp (getdist "\nVao khoang cach deltaH: "))
(if (not tmp)
(setq tmp deltaH)
)
)
(setq deltaH tmp)
)
;;;---------------------- Main --------------------------------
(princ "\nVMC © CADViet.com")
(if (not deltaH)
(NhapdeltaH)
)
(while (not sel)
(setq sel (entsel "\nVao line mat cat (hoac nhan Enter de nhap deltaH): ")
entl (car sel)
)
(if (not sel)
(NhapdeltaH)
)
)
(if (= "LINE" (cdr (assoc 0 (entget entl))))
(progn
(setq
p (cadr sel)
tt (entget entl)
p1 (cdr (assoc 10 tt))
p2 (cdr (assoc 11 tt))
)
(if (> (distance p p1)
(distance p p2)
)
(setq p p1
p1 p2
p2 p
)
)
(luuos)
(setvar "osmode" 0)
(command ".zoom" p1 p2)
(setq
sspl (ssget "F"
(LIST P1 P2)
'((-4 . "
Hướng dẫn sử dụng:
- Lệnh VMC vẽ mặt cắt của địa hình theo vết cắt cho trước. Địa hình được mô tả bằng các đối tượng pline hay spline có z=0 là đường đồng mức. Vết cắt là một line.
- Khi sử dụng lệnh lần đầu tiên, chương trình sẽ yêu cầu nhập deltaH. Các lần sau, chương trình sẽ không yêu cầu nhập lại deltaH. Muốn hiệu chỉnh giá trị deltaH, bạn nhấn enter khi chương trình hỏi vết cắt.
- Mỗi lần sử dụng, chương trình sẽ yêu cầu chọn 1 line làm vết cắt. Chương trình sẽ vẽ mặt cắt theo vết cắt và deltaH đã chỉ định.")

Anh ơi anh làm ơn hướng dẫn cụ thể hơn cho e được không ạ. sao e làm mãi mà nó ko dc ạ. cái deltaH ấy là gì vậy a? mong anh hồi âm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×